/* hello_dll.c */
/* for vc++ */

#include <windows.h>
#include <stdio.h>

typedef void (*TPRINT_HELLO)( int num );
HINSTANCE hdll;
TPRINT_HELLO print_hello;

int main(){
  hdll = LoadLibrary("myfunc.dll");
  if (hdll == NULL){
	puts("[ dll not found ]");
	return 1;
  }
  print_hello = (TPRINT_HELLO)GetProcAddress( hdll, "print_hello");
  if( NULL == print_hello ){
	puts("[ dll not found ]");
  }
  else{
	print_hello( 6 );
  }
  FreeLibrary( hdll );
  return 0;
}
